Debian Bug report logs - #735884
ITP: ocp-indent -- OCaml indentation tool for emacs and vim

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Johannes Schauer <j.schauer@email.de>

Date: Sat, 18 Jan 2014 10:45:02 UTC

Owned by: Johannes Schauer <j.schauer@email.de>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-ocaml-maint@lists.debian.org, wnpp@debian.org:
Bug#735884; Package wnpp. (Sat, 18 Jan 2014 10:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-ocaml-maint@lists.debian.org, wnpp@debian.org. (Sat, 18 Jan 2014 10:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Sat, 18 Jan 2014 11:41:21 +0100
Package: wnpp
Severity: wishlist
Owner: Johannes Schauer <j.schauer@email.de>

* Package name    : ocp-indent
  Version         : 1.4.1
  Upstream Author : Thomas Gazagnaire, Fabrice Le Fessant
* URL             : http://www.typerex.org/ocp-indent.html
* License         : LGPL-3 with OCaml linking exception
  Programming Lang: OCaml
  Description     : OCaml indentation tool for emacs and vim

ocp-indent is a command-line tool that allows one to indent a whole OCaml
source code file (or parts of it) either to standard output or in-place.
A configuration file allows user defaults as well as per-project parameters.
The ratio of correctly indented lines is comparable with emacs tuareg mode
while being an order of magnitude faster.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Johannes Schauer <j.schauer@email.de>:
Bug#735884; Package wnpp. (Sat, 18 Jan 2014 13:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Johannes Schauer" <j.schauer@email.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Johannes Schauer <j.schauer@email.de>. (Sat, 18 Jan 2014 13:18:08 GMT) Full text and rfc822 format available.

Message #10 received at 735884@bugs.debian.org (full text, mbox):

From: "Johannes Schauer" <j.schauer@email.de>
To: debian-ocaml-maint@lists.debian.org
Cc: 735884@bugs.debian.org
Subject: RFS: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Sat, 18 Jan 2014 14:15:38 +0100
Dear OCaml maintainers,

I am looking for sponsors for ocp-indent which I packaged and uploaded it here:

dget -u https://mister-muffin.de/ocp-indent/ocp-indent_1.4.1-1.dsc

I'm sorry that it's not on mentors.debian.net but after an initial upload
failure I was unable to upload that package again.

Quoting Johannes Schauer (2014-01-18 11:41:21)
> Package: wnpp
> Severity: wishlist
> Owner: Johannes Schauer <j.schauer@email.de>
> 
> * Package name    : ocp-indent
>   Version         : 1.4.1
>   Upstream Author : Thomas Gazagnaire, Fabrice Le Fessant
> * URL             : http://www.typerex.org/ocp-indent.html
> * License         : LGPL-3 with OCaml linking exception
>   Programming Lang: OCaml
>   Description     : OCaml indentation tool for emacs and vim
> 
> ocp-indent is a command-line tool that allows one to indent a whole OCaml
> source code file (or parts of it) either to standard output or in-place.
> A configuration file allows user defaults as well as per-project parameters.
> The ratio of correctly indented lines is comparable with emacs tuareg mode
> while being an order of magnitude faster.

Thanks for your consideration!

cheers, josch



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Johannes Schauer <j.schauer@email.de>:
Bug#735884; Package wnpp. (Sat, 18 Jan 2014 14:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Johannes Schauer <j.schauer@email.de>. (Sat, 18 Jan 2014 14:36:08 GMT) Full text and rfc822 format available.

Message #15 received at 735884@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Johannes Schauer <j.schauer@email.de>
Cc: debian-ocaml-maint@lists.debian.org, 735884@bugs.debian.org
Subject: Re: RFS: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Sat, 18 Jan 2014 15:32:07 +0100
Control: owner -1 !

Le 18/01/2014 14:15, Johannes Schauer a écrit :
> I am looking for sponsors for ocp-indent which I packaged and uploaded it here:
> 
> dget -u https://mister-muffin.de/ocp-indent/ocp-indent_1.4.1-1.dsc
> 
> I'm sorry that it's not on mentors.debian.net but after an initial upload
> failure I was unable to upload that package again.

Have you considered joining the OCaml team on Alioth[1], and put your
packaging as a git repository there[2]?

[1] https://alioth.debian.org/projects/pkg-ocaml-maint/
[2] dom-new-git-repo(1), in package dh-ocaml

> Thanks for your consideration!

I started to have a look, and for sure the copyright file is incorrect.
There is a lot of copyright to "Jun Furuse" and OCamlPro, those two
should at least be mentioned. Actually, I didn't see (after a quick
look) any copyright owned by the ones you mentioned in debian/copyright
(Thomas and Fabrice work for OCamlPro and/or Inria, but the copyright
seems to belong to the company and Inria). There are also some other
bits from other people, you have to be sure that at least license is the
same.

I am still reviewing the technical part, but I preferred to tell you
about the copyright issue first.

Thank you for your contribution!

Cheers,

-- 
Stéphane




Owner changed from Johannes Schauer <j.schauer@email.de> to Stéphane Glondu <glondu@debian.org>. Request was from Stéphane Glondu <glondu@debian.org> to 735884-submit@bugs.debian.org. (Sat, 18 Jan 2014 14:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735884; Package wnpp. (Sat, 18 Jan 2014 15:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 18 Jan 2014 15:15:10 GMT) Full text and rfc822 format available.

Message #22 received at 735884@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Johannes Schauer <j.schauer@email.de>
Cc: debian-ocaml-maint@lists.debian.org, 735884@bugs.debian.org
Subject: Re: RFS: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Sat, 18 Jan 2014 16:11:46 +0100
Le 18/01/2014 15:32, Stéphane Glondu a écrit :
> Control: owner -1 !

Sorry, this was an error. I thought it was an RFS bug. I restored your
ownership.

-- 
Stéphane





Owner changed from Stéphane Glondu <glondu@debian.org> to Johannes Schauer <j.schauer@email.de>. Request was from Stéphane Glondu <glondu@debian.org> to control@bugs.debian.org. (Sat, 18 Jan 2014 15:15:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Johannes Schauer <j.schauer@email.de>:
Bug#735884; Package wnpp. (Sat, 18 Jan 2014 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Johannes Schauer" <j.schauer@email.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Johannes Schauer <j.schauer@email.de>. (Sat, 18 Jan 2014 16:24:04 GMT) Full text and rfc822 format available.

Message #29 received at 735884@bugs.debian.org (full text, mbox):

From: "Johannes Schauer" <j.schauer@email.de>
To: "Stéphane Glondu" <glondu@debian.org>
Cc: 735884@bugs.debian.org
Subject: Re: ITP: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Sat, 18 Jan 2014 17:21:04 +0100
Hi,

Quoting Stéphane Glondu (2014-01-18 15:32:07)
> I started to have a look, and for sure the copyright file is incorrect.
> There is a lot of copyright to "Jun Furuse" and OCamlPro, those two
> should at least be mentioned. Actually, I didn't see (after a quick
> look) any copyright owned by the ones you mentioned in debian/copyright
> (Thomas and Fabrice work for OCamlPro and/or Inria, but the copyright
> seems to belong to the company and Inria). There are also some other
> bits from other people, you have to be sure that at least license is the
> same.

Sorry for not having been more thorough before. My confusion comes from blocks
like these:

--%<--------------------------------------------------------------------------- 
(**************************************************************************)
(*                                                                        *)
(*    TypeRex OCaml Studio                                                *)
(*      Thomas Gazagnaire, Fabrice Le Fessant                             *)
(*                                                                        *)
(*    OCaml                                                               *)
(*      Xavier Leroy, projet Cristal, INRIA Rocquencourt                  *)
(*                                                                        *)
(*  Copyright 2011-2012 OCamlPro                                          *)
(*  Copyright 1996-2011 INRIA.                                            *)
(*  All rights reserved.  This file is distributed under the terms of     *)
(*  the Lesser GNU Public License version 3.0.                            *)
(*                                                                        *)
(*  TypeRex is distributed in the hope that it will be useful,            *)
(*  but WITHOUT ANY WARRANTY; without even the implied warranty of        *)
(*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *)
(*  Lesser GNU General Public License for more details.                   *)
(*                                                                        *)
(**************************************************************************)

(* ADMIN: fabrice *)

(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1996 Institut National de Recherche en Informatique et   *)
(*  en Automatique.  All rights reserved.  This file is distributed    *)
(*  under the terms of the Q Public License version 1.0.               *)
(*                                                                     *)
(***********************************************************************)
-->%--------------------------------------------------------------------------- 

It is unclear to me under what terms the content of a file with that header can 
be distributed.

> I am still reviewing the technical part, but I preferred to tell you
> about the copyright issue first.

Sorry again for having been too shallow with this. Mehdi Dogguy was right with
pointing out that I should be careful copyright/license questions.

I'll look over all of it again and try to find out from where precisely each
piece of code is coming from.

cheers, josch



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735884; Package wnpp. (Thu, 27 Feb 2014 11:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 27 Feb 2014 11:27:13 GMT) Full text and rfc822 format available.

Message #34 received at 735884@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: Stéphane Glondu <glondu@debian.org>,
Cc: debian-ocaml-maint@lists.debian.org, 735884@bugs.debian.org
Subject: Re: RFS: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Thu, 27 Feb 2014 12:24:06 +0100
Hi,

Quoting Stéphane Glondu (2014-01-18 15:32:07)
> Have you considered joining the OCaml team on Alioth[1], and put your
> packaging as a git repository there[2]?
> 
> [1] https://alioth.debian.org/projects/pkg-ocaml-maint/
> [2] dom-new-git-repo(1), in package dh-ocaml

I committed my current status of packaging to ocp-intent.git

> I started to have a look, and for sure the copyright file is incorrect.
> There is a lot of copyright to "Jun Furuse" and OCamlPro, those two should at
> least be mentioned. Actually, I didn't see (after a quick look) any copyright
> owned by the ones you mentioned in debian/copyright (Thomas and Fabrice work
> for OCamlPro and/or Inria, but the copyright seems to belong to the company
> and Inria). There are also some other bits from other people, you have to be
> sure that at least license is the same.

The copyright issue has now been clarified by upstream [1] and I integrated it
into debian/copyright.

> I am still reviewing the technical part, but I preferred to tell you about
> the copyright issue first.
> 
> Thank you for your contribution!

I hope the packaging is not too bad. Please tell me the things that are left to
fix.

Thanks for your help!

cheers, josch

[1] https://github.com/OCamlPro/ocp-indent/issues/115#issuecomment-33980697



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Johannes Schauer <j.schauer@email.de>:
Bug#735884; Package wnpp. (Thu, 06 Mar 2014 12:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Johannes Schauer <j.schauer@email.de>. (Thu, 06 Mar 2014 12:45:11 GMT) Full text and rfc822 format available.

Message #39 received at 735884@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Johannes Schauer <j.schauer@email.de>
Cc: debian-ocaml-maint@lists.debian.org, 735884@bugs.debian.org
Subject: Re: RFS: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Thu, 06 Mar 2014 13:41:53 +0100
Le 27/02/2014 12:24, Johannes Schauer a écrit :
>> Have you considered joining the OCaml team on Alioth[1], and put your
>> packaging as a git repository there[2]?
>>
>> [1] https://alioth.debian.org/projects/pkg-ocaml-maint/
>> [2] dom-new-git-repo(1), in package dh-ocaml
> 
> I committed my current status of packaging to ocp-intent.git

Good.

>> I started to have a look, and for sure the copyright file is incorrect.
>> There is a lot of copyright to "Jun Furuse" and OCamlPro, those two should at
>> least be mentioned. Actually, I didn't see (after a quick look) any copyright
>> owned by the ones you mentioned in debian/copyright (Thomas and Fabrice work
>> for OCamlPro and/or Inria, but the copyright seems to belong to the company
>> and Inria). There are also some other bits from other people, you have to be
>> sure that at least license is the same.
> 
> The copyright issue has now been clarified by upstream [1] and I integrated it
> into debian/copyright.

Good.

>> I am still reviewing the technical part, but I preferred to tell you about
>> the copyright issue first.
>>
>> Thank you for your contribution!
> 
> I hope the packaging is not too bad. Please tell me the things that are left to
> fix.

Why do you add libocp-indent-lib-ocaml as explicit dependency to
ocp-indent? Isn't the one inferred by dh_ocaml enough?

If you put META and $foo.cma in a runtime package, there should also be
$foo.cmxs there (on native architectures). Otherwise, not having a
runtime package at all is fine for pure OCaml libraries.

There are no *.cmx files installed. Do you know if that's intentional?


Cheers,

-- 
Stéphane



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735884; Package wnpp. (Thu, 06 Mar 2014 14:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Mar 2014 14:00:04 GMT) Full text and rfc822 format available.

Message #44 received at 735884@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: Stéphane Glondu <glondu@debian.org>,
Cc: debian-ocaml-maint@lists.debian.org, 735884@bugs.debian.org
Subject: Re: RFS: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Thu, 06 Mar 2014 14:57:11 +0100
Hi Stéphane,

Quoting Stéphane Glondu (2014-03-06 13:41:53)
> Why do you add libocp-indent-lib-ocaml as explicit dependency to ocp-indent?
> Isn't the one inferred by dh_ocaml enough?

the one inferred by dh_ocaml is enough. That was some leftover cruft from when
I did not yet know that dh_ocaml would do this kind of thing for me.

> If you put META and $foo.cma in a runtime package, there should also be
> $foo.cmxs there (on native architectures). Otherwise, not having a runtime
> package at all is fine for pure OCaml libraries.
> 
> There are no *.cmx files installed. Do you know if that's intentional?

I patched (not pushed to git yet) upstream Makefile to also build and install
cmxs and cmx files. I will ask upstream to integrate that patch into their next
release.

I dont remember from where I got the splitting into libocp-indent-lib-ocaml
(with META and cma) and libocp-indent-lib-ocaml-dev (with all the rest) but now
that I search for it I can see some packages which do it that way (for example
libxen-ocaml or libatd-ocaml or libben-ocaml or libfindlib-ocaml).

Are you also saying that I do not need to create the two packages
libocp-indent-lib-ocaml and libocp-indent-lib-ocaml-dev but that only
libocp-indent-lib-ocaml-dev with all the files is enough? From reading [1] it
seems that splitting it into a lib and a dev package is only advised if a
shared library is involved which is not the case here.

cheers, josch

[1] http://pkg-ocaml-maint.alioth.debian.org/ocaml_packaging_policy.html/c305.html



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Johannes Schauer <j.schauer@email.de>:
Bug#735884; Package wnpp. (Thu, 06 Mar 2014 14:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Johannes Schauer <j.schauer@email.de>. (Thu, 06 Mar 2014 14:21:07 GMT) Full text and rfc822 format available.

Message #49 received at 735884@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Johannes Schauer <j.schauer@email.de>
Cc: Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>, 735884@bugs.debian.org
Subject: Re: RFS: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Thu, 06 Mar 2014 15:18:11 +0100
Le 06/03/2014 14:57, Johannes Schauer a écrit :
> I dont remember from where I got the splitting into libocp-indent-lib-ocaml
> (with META and cma) and libocp-indent-lib-ocaml-dev (with all the rest) but now
> that I search for it I can see some packages which do it that way (for example
> libxen-ocaml or libatd-ocaml or libben-ocaml or libfindlib-ocaml).

This practice appeared with Ocsigen dynamically loading many libraries
already (seperately) packaged in Debian, but is not yet documented in
policy :-( There is an open bug about it, though:

  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500036

> Are you also saying that I do not need to create the two packages
> libocp-indent-lib-ocaml and libocp-indent-lib-ocaml-dev but that only
> libocp-indent-lib-ocaml-dev with all the files is enough? From reading [1] it
> seems that splitting it into a lib and a dev package is only advised if a
> shared library is involved which is not the case here.

This is indeed what I'm saying. But keep in mind that if someone later
writes a plugin using libocp-indent-lib-ocaml-dev for a program not
using it, nor the OCaml toolchain, the second package might be needed.

Whether you create the second package now or later, on demand, is up to
you :-)


Cheers,

-- 
Stéphane




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735884; Package wnpp. (Thu, 06 Mar 2014 14:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Mar 2014 14:54:12 GMT) Full text and rfc822 format available.

Message #54 received at 735884@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: Stéphane Glondu <glondu@debian.org>,
Cc: "Debian Ocaml Maint ML" <debian-ocaml-maint@lists.debian.org>, 735884@bugs.debian.org
Subject: Re: RFS: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Thu, 06 Mar 2014 15:50:57 +0100
Hi,

Quoting Stéphane Glondu (2014-03-06 15:18:11)
> Le 06/03/2014 14:57, Johannes Schauer a écrit :
> > I dont remember from where I got the splitting into libocp-indent-lib-ocaml
> > (with META and cma) and libocp-indent-lib-ocaml-dev (with all the rest) but now
> > that I search for it I can see some packages which do it that way (for example
> > libxen-ocaml or libatd-ocaml or libben-ocaml or libfindlib-ocaml).
> 
> This practice appeared with Ocsigen dynamically loading many libraries
> already (seperately) packaged in Debian, but is not yet documented in
> policy :-( There is an open bug about it, though:
> 
>   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500036

thanks! That increased my understanding a lot. :)

Maybe it would help to have Lintian warn about these things?

I'm currently working on making Lintian support build profiles so maybe when
I'm done with that I could integrate some ocaml checks which would've avoided
me making the mistakes I initially did:

 - warn if a dependency on ocaml lib is explicitly added even though dh_ocaml
   is used
 - warn if there is a cma without a cmxs in a runtime package
 - warn about any other combination of "X was installed but without Y" in dev
   packages

> > Are you also saying that I do not need to create the two packages
> > libocp-indent-lib-ocaml and libocp-indent-lib-ocaml-dev but that only
> > libocp-indent-lib-ocaml-dev with all the files is enough? From reading [1]
> > it seems that splitting it into a lib and a dev package is only advised if
> > a shared library is involved which is not the case here.
> 
> This is indeed what I'm saying. But keep in mind that if someone later
> writes a plugin using libocp-indent-lib-ocaml-dev for a program not
> using it, nor the OCaml toolchain, the second package might be needed.
> 
> Whether you create the second package now or later, on demand, is up to
> you :-)

I see. I will leave them separate for now. I pushed my changes to git.

I submitted my current patch to Makefile.simple to upstream [1].

Thanks a lot for the help :)

cheers, josch

[1] https://github.com/OCamlPro/ocp-indent/issues/124



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Johannes Schauer <j.schauer@email.de>:
Bug#735884; Package wnpp. (Thu, 06 Mar 2014 17:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Johannes Schauer <j.schauer@email.de>. (Thu, 06 Mar 2014 17:27:08 GMT) Full text and rfc822 format available.

Message #59 received at 735884@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Johannes Schauer <j.schauer@email.de>
Cc: Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>, 735884@bugs.debian.org
Subject: Re: RFS: ocp-indent -- OCaml indentation tool for emacs and vim
Date: Thu, 06 Mar 2014 18:22:25 +0100
Le 06/03/2014 17:37, Johannes Schauer a écrit :
> Should you not see any other problems with the packaging then I'm ready to get
> sponsored :)

It's fine, I've just uploaded it.


Cheers,

-- 
Stéphane



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:34:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.